/*
Botones rectangular y circular
*/

/*** botón rectangular ***/
int x, y, w, h;  //posición y tamaño
boolean flagR;  //indica si el mouse está dentro del botón rectangular

/*** botón circular ***/
int xC, yC, r; //posición y tamaño
boolean flagC; //indica si el mouse está dentro del botón circular

/*** colores para el rollOver  ***/
color cOff, cOn;

/*** colores para otras figuras ***/
color cuadrado1, cuadrado2;


void setup(){
  size(800, 600);
  w = 150;
  h = 70;
  x = 50;
  y = 50;
  
  r = 60;
  xC = 125;
  yC = 350;
  
  flagR = false;
  flagC = false;
  
  cOff = color(79, 211, 137);
  cOn =color(255, 149, 82);
  
  cuadrado1 = color(255);
  cuadrado2 = color(0, 255, 255);
  
}


void draw(){
  background(255);
  
  if (!flagR && !flagC){
    cursor(ARROW);
  }
  
  /* botón rectagular */
  //checamos si el mouse está dentro del "botón"
  if (mouseX > x && mouseX < (x+w) && mouseY > y && mouseY < (y+h)){
    flagR = true;
    fill(cOn);
    cursor(HAND);
  }else{
    flagR = false;
    fill(cOff);
   
  }
  rect(x, y, w, h);
  
  /* botón circular */
  if (dist(mouseX, mouseY, xC, yC) < r){
    flagC = true;
    fill(cOn);
    cursor(HAND);
  }else{
    flagC = false;
    fill(cOff);
    
  }
  ellipse(xC, yC, 2*r, 2*r);
  
  
  /* otras figuras */
  fill(cuadrado1);
  rect(400, 50, 200, 200);
  
  fill(cuadrado2);
  rect(400, 290, 200, 200);
  
}

void mouseReleased(){
  if (flagR){
    if (cuadrado1 == color(255)){
      cuadrado1 = color(0);
    }else{
      cuadrado1 = color(255);
    }
  }
  
  if (flagC){
    if (cuadrado2 == color(0, 255, 255)){
      cuadrado2 = color(255, 0, 255);
    }else{
      cuadrado2 = color(0, 255, 255);
    }
  }
  
}
