class Boton{
  // propiedades
  int x, y; //posición
  int w, h, r; // tamaño
  boolean flag; // indica si el mouse está sobre el botón
  color cOn, cOff;
  int tipo;  //indica si el botón es rectangular (1) o circular (2)
  
  //constructor para un botón rectangular
  Boton(int x, int y, int w, int h, color cOff, color cOn){
    this.x = x;
    this.y = y;
    this.w = w;
    this.h = h;
    this.cOff = cOff;
    this.cOn = cOn;
    tipo = 1;
  }
  
  //contructor para un botón circular
  Boton(int x, int y, int r, color cOff, color cOn){
    this.x = x;
    this.y = y;
    this.r = r;
    this.cOff = cOff;
    this.cOn = cOn;
    tipo = 2;
  }
  
  //métodos
  void show(){
    if (tipo == 1){
      //checamos si el mouse está sobre el botón
      if (mouseX > x && mouseX < (x+w) && mouseY > y && mouseY < (y+h)){
        flag = true;
        cursor(HAND);
        fill(cOn);
        //strokeWeight(5);
        //stroke(250, 0, 0);
      }else{
        flag = false;
        fill(cOff);
        //strokeWeight(1);
        //stroke(0);
      }
      rect(x, y, w, h);
    }
    
    if (tipo == 2){
      if (dist(mouseX, mouseY, x, y) < r){
        flag = true;
        fill(cOn);
        cursor(HAND);
        //strokeWeight(5);
        //stroke(250, 0, 0);
      }else{
        flag = false;
        fill(cOff);
        //strokeWeight(1);
        //stroke(0);
      }
      ellipse(x, y, 2*r, 2*r);
    } 
  }
  
  boolean click(){
    return flag;
  }
}
  
  
